summaryrefslogtreecommitdiff
path: root/test/windows/odb/all
diff options
context:
space:
mode:
Diffstat (limited to 'test/windows/odb/all')
-rwxr-xr-xtest/windows/odb/all26
1 files changed, 18 insertions, 8 deletions
diff --git a/test/windows/odb/all b/test/windows/odb/all
index d9ecc16..f81218d 100755
--- a/test/windows/odb/all
+++ b/test/windows/odb/all
@@ -9,7 +9,7 @@ function error ()
function usage ()
{
- error "usage: $0 vc-version conf plat [action]"
+ error "usage: $0 vc-version database conf plat [action]"
error " valid configurations are: {Debug,Release}|all"
error " valid platforms are: {Win32,x64}|all"
error " valid actions are: /Build (default), /Clean, and /Rebuild"
@@ -22,30 +22,40 @@ if [ "$1" = "" ]; then
fi
if [ "$2" = "" ]; then
- error configuration expected
+ error database expected
usage
exit 1
+else
+ if [ "$2" = "all" ]; then
+ databases="sqlite mysql"
+ else
+ databases=$2
+ fi
fi
if [ "$3" = "" ]; then
+ error configuration expected
+ usage
+ exit 1
+fi
+
+if [ "$4" = "" ]; then
error platform expected
usage
exit 1
fi
-action=$4
+action=$5
if [ "$action" == "" ]; then
action=/Build
fi
-databases="mysql"
-
for d in $databases; do
- cmd.exe /C setenv.bat build.bat "$d" "$1" "$2" "$3" "$action"
- cd odb-tests
+ cmd.exe /C setenv.bat build.bat "$d" "$1" "$3" "$4" "$action"
+ cd odb-tests-$d
cmd.exe /C ..\\setenv.bat test.bat "$d"
cd ..
- cd odb-examples
+ cd odb-examples-$d
cmd.exe /C ..\\setenv.bat test.bat "$d"
cd ..
done